Sync plan API bugs
Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some things I noticed in the sync plan API:

Some of the doc is wrong like it references products (e.g. param :id, :number, :desc => "product numeric identifier", :required =>

true; param :organization_id, :identifier, :desc => "Filter products by organization name or label", :required => true)

Show requires organization_id. AFAIK, we're only requiring organization_id on show if the ID is not unique across orgs

Related issues:

Has duplicate Katello - Bug #4954: Deleting a sync plan via the CLI fails bec... Duplicate 03/29/2014

History

#1 - 03/29/2014 02:11 PM - David Davis

Also, delete and update require organization_id too. Probably should fix those as well.

#2 - 03/29/2014 02:23 PM - David Davis

- Has duplicate Bug #4954: Deleting a sync plan via the CLI fails because of incorrect expected argument added

#3 - 03/31/2014 03:03 PM - David Davis

- Status changed from New to Assigned

- Assignee set to David Davis

#4 - 03/31/2014 03:03 PM - David Davis

https://github.com/Katello/katello/pull/3918

#5 - 03/31/2014 03:03 PM - David Davis

- Status changed from Assigned to Closed

#6 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#7 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
